SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'EF_NF_CTR_NR_COMPARTILHADO' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'FILIAL_PADRAO'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'EF_NF_CTR_NR_COMPARTILHADO' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE dbo.EF_NF_CTR_NR_COMPARTILHADO ADD FILIAL_PADRAO BIT NOT NULL DEFAULT 0

		END
	SET NOCOUNT OFF
	PRINT 'CAMPO FILIAL_PADRAO NA TABELA EF_NF_CTR_NR_COMPARTILHADO INSERIDO COM SUCESSO '
END